﻿using System;
using System.Collections.Generic;

namespace School
{
    internal class Program
    {
        private static void Main()
        {
            Teacher t1 = new Teacher {Id = 1, Name = "Anders", Salary = 100};
            Teacher t2 = new Teacher {Id = 45, Name = "John", Salary = 88};
            Teacher t3 = new Teacher {Id = 2, Name = "Mary", Salary = 33};
            List<Teacher> teachers = new List<Teacher> {t1, t2, t3};
            Console.WriteLine("Not sorted: " + String.Join(", ", teachers));
            teachers.Sort();
            Console.WriteLine("Sorted by id: " + String.Join(", ", teachers));
            teachers.Sort(Teacher.NameComparer);
            Console.WriteLine("Sorted by name: " + String.Join(", ", teachers));
            IComparer<Teacher> reverseName = new ReverseComparer<Teacher>(Teacher.NameComparer);
            teachers.Sort(reverseName);
            Console.WriteLine("Sorted by name, reverse: " + String.Join(", ", teachers));
        }
    }
}