﻿using System.Collections.Generic;

namespace School
{
    // http://geekswithblogs.net/BlackRabbitCoder/archive/2010/12/02/c.net-toolbox-generic-reversing-comparers.aspx
    public class ReverseComparer<T> : IComparer<T>
    {
        private readonly IComparer<T> _comparer;

        public ReverseComparer(IComparer<T> comparer)
        {
            _comparer = comparer;
        }

        public int Compare(T x, T y)
        {
            return _comparer.Compare(y, x);
        }
    }
}
